%define ver_major 2.16
%def_disable static
# Whether to build clock applet with evolution-data-server.
%def_enable eds
# This switch controls whether to build some applets as running inside
# gnome-panel process (as for 2.16, these are clock, fish, notification
# area, and window list).
%def_with in_process_applets

Name: gnome-panel
Version: %ver_major.2
Release: alt1

Summary: The core programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: altlinux.png
Source2: altlinux.svg

Patch3: %name-2.9.92-alt-default_setup.patch
Patch5: %name-2.5.93-alt-fish_schemas.patch
Patch6: %name-2.13.2-alt-scale_icons.patch
Patch7: %name-2.14-menu-item-properties.patch
Patch8: %name-2.14-clock-orientation.patch

# From configure.in
%define desktop_ver 2.11.1
%define gtk_ver 2.10.0
%define libglade_ver 2.5.0
%define libgnome_ver 2.13.0
%define libgnomeui_ver 2.5.4
%define libbonoboui_ver 2.1.1
%define ORBit_ver 2.4.0
%define gnome_vfs_ver 2.14.2
%define libwnck_ver 2.13.5
%define GConf_ver 2.6.1
%define gnome_menus_ver 2.11.1
%define eds_ver 1.2.0
%define cairo_ver 1.0
%define dbus_glib_ver 0.60

%define rpm_ver 0.4-alt14
%define pkgconfig_ver 0.15-alt3.2

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper

Requires: lib%name = %version-%release
Requires: gnome-menus >= %gnome_menus_ver
Requires: gnome-desktop >= %desktop_ver
# for Wanda
Requires: fortune-mod

# From configure.in
BuildPreReq: gnome-common
BuildPreReq: intltool >= 0.35
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade2-devel >= %libglade_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: libgnome-menus-devel >= %gnome_menus_ver
BuildPreReq: cairo-devel >= %cairo_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
%{?_enable_eds:BuildPreReq: evolution-data-server-devel >= %eds_ver}
BuildPreReq: libX11-devel libXt-devel
BuildPreReq: gtk-doc >= 1.0
BuildPreReq: gnome-doc-utils scrollkeeper

BuildPreReq: rpm >= %rpm_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.

The GNOME panel packages provides the gnome panel, menu's and some
basic applets for the panel.

%package -n lib%name
Summary: GNOME panel shared libraries
Group: System/Libraries

%description -n lib%name
Panel shared libraries for creating GNOME panels.

%package -n lib%name-devel
Summary: GNOME panel libraries, includes, and more
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: ORBit2-devel >= %ORBit_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libbonoboui-devel >= %libbonoboui_ver
Requires: libwnck-devel >= %libwnck_ver
Requires: libglade2-devel >= %libglade_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libgnome-desktop-devel >= %desktop_ver

%description -n lib%name-devel
Panel libraries and header files for creating GNOME panels.

%package -n lib%name-devel-static
Summary: GNOME panel static libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release
# From .pc
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libbonoboui-devel >= %libbonoboui_ver

%description -n lib%name-devel-static
Panel static libraries for creating GNOME panels.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_libdir/%name-2.0/applets
%define _sklocalstatedir %_localstatedir/scrollkeeper

%prep
%setup -q
%patch3
%patch5 -p1
#patch7 -p0
#patch8 -p1

%build
gnome-doc-common --copy
%__autoconf

export DATADIRNAME=share
%configure \
	%{subst_enable static} \
	%{subst_enable eds} \
    %{?_with_in_process_applets:--with-in-process-applets} \
	--disable-schemas-install \
    --disable-scrollkeeper \
	--enable-gtk-doc

# SMP-incompatible build
%make

%install
%makeinstall

# install menu icon
%__mkdir_p %buildroot%_datadir/pixmaps
%__install -m644  %SOURCE1 %buildroot%_datadir/pixmaps/
%__install -m644  %SOURCE2 %buildroot%_iconsdir/

%find_lang --with-gnome --output=%name.lang %name %name-2.0 clock fish fish-applet-2 window-list workspace-switcher

%__bzip2 -9fk ChangeLog NEWS

%define schemas clock fish panel-general panel-global panel-object panel-toplevel window-list workspace-switcher
%define schemas_compat panel-compatibility

%post
%gconf2_install %schemas %schemas_compat

%_gconf2_bin --direct --config-source=%gconf2_default_source \
--load=%_sysconfdir/gconf/schemas/panel-default-setup.entries

%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas %schemas_compat
fi

%postun
%clean_scrollkeeper

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name-2.0
%dir %_libexecdir
%_libexecdir/*
%_libdir/bonobo/*/*
%dir %_datadir/gnome/panel
%_datadir/gnome/panel/*
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/pixmaps/*
%_iconsdir/altlinux.svg
%_miconsdir/%{name}*.png
# ??x?? stands for 22x22, 24x24, 32x32 etc.
%_iconsdir/hicolor/??x??/apps/%{name}*.png
%_iconsdir/hicolor/scalable/apps/%{name}*.svg
%_man1dir/*
%config %_datadir/gnome-panelrc
%config %_sysconfdir/gconf/*/*
%doc AUTHORS ChangeLog* NEWS* README

%files -n lib%name
%_libdir/libpanel-applet-2.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/libpanel-applet-2.so
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%exclude %_iconsdir/hicolor/icon-theme.cache
%exclude %_sklocalstatedir

%changelog
* Wed Dec 20 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version 2.16.2 (with rpmrb script)

* Sun Sep 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version 2.16.0
- updated files list.

* Sun Aug 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version 2.15.92 (with rpmrb script)

* Sun Aug 20 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)
- patch for clock orientation went upstream.
- temporarily disabled properties menu item patch - it's broken.

* Sun Jul 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt2
- updated the patch for clock orientation.

* Thu Jun 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version
- updated the required version of gnome-vfs
- enabled a patch for menu item properties (GNOME Bug 342521).
- added a patch that fixes the clock orientation on vertical panels (GNOME
  Bug 318377), not applied yet, as it is not functional.
- spec cleanup.

* Mon Apr 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt2
- added a patch that shows menu item properties (right-click on an item).

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Tue Mar 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version 2.14.0 (with rpmrb script)

* Tue Feb 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.91-alt1
- new version
- spec cleanup, dependencies revised

* Thu Feb 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1.1
- fixed buildreqs for X.org 7.0

* Tue Nov 15 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version
- updated dependencies from configure.in and .pc files.

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed more excess buildreqs.

* Tue Aug 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Removed excess buildreqs.
- Disabled Automake stuff, since it corrupts the existing aclocal.m4.

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Sun Apr 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92 release.

* Fri Feb 25 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt0.1
- 2.9.92 from cvs.

* Tue Feb 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.
- do not install /etc/menu-methods/gnome-panel2.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1
- gnome menu go back (- patch6).

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt2.1
- 2.6.0

* Mon Mar 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.93-alt2.1
- fixed menu.

* Mon Mar 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.93-alt2
- disable system menu
- wanda use /usr/games/fortune.

* Sat Mar 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.93-alt1.1
- rebuild with new libecal.

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.93-alt1
- 2.5.93

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91-alt1
- 2.5.91

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt2
- rebuild with new libecal.

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3.1-alt1
- 2.5.3.1

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.
- Wanda requires fortune-mod.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Sat Sep 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.91-alt1
- 2.3.91

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6.2-alt1
- 2.3.6.2

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jul 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.3-alt1
- 2.3.3.3

* Tue Jul 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.2-alt1
- 2.3.3.2

* Fri Jun 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.1-alt1
- 2.3.3.1

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2.1-alt1
- 2.3.2.1

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2
- added hack to allow dock qt (non-gtk) applications, we will need it
  for rhn-applet like programs (security update notificator) (inger)

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt2
- Try to load default settings from gconftool dump.

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt3
- fixed systray on exit crash (#2228)

* Thu Feb 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt2
- fixed systray help call.

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90.1-alt1
- 2.1.90.1

* Thu Dec 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt3
- Schemas installation fixed.

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt2
- made gnome2 menus in utf-8, we need it for correct work of Gnome2 in
  ru_RU.CP1251 locale. Thanks to inger.
- Return customization patch back.

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Sat Oct 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2
- customization patch removed, we use gconf2_* macros.

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt3
- fix customization patch

* Thu Oct 10 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt2
- Added customization for panel (default settings):
  TODO: to add new galeon and evolution

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.9-alt1.1
- fixed wrong syntax in %%post (%%gconf2_install)
- removed SMP build

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.9-alt1
- 2.0.9

* Thu Jun 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- Adopted for Sisyphus.
- menu_distribution.patch by BlaKe <blake@altlinux.ru>
- (blake)
    + fix lost files
    + added altlinux.png icon for menu
    + added script for support menu
- libname{,-devel{,-static}} packages.
- scrollkeeper-update starts in post.
- (blake) fix error in install
- gen_util_build.patch

* Tue Mar 12 2002 <glynn.foster@sun.com>
- fix up gconf schema install

* Mon Mar  4 2002  <gleblanc@linuxweasel.com>
- made into a proper .spec.in, using the magic version numbers and such

* Mon Feb 18 2002  <gleblanc@linuxweasel.com>
- flagged man pages as documentation

* Mon Feb 18 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- remove extra tab from header
- added defattr to devel package
- moved defattr to make sure that it owns the random package docs
- moved the idl files into the main package, as when perl bindings arrive, they'll want to use them at run-time
- made it not own the omf dir
- moved the line for the GNOME help stuff back into the section with the rest of the regular files
- changed name of find_lang's output file
- removed some whitespace from the install section
- removed some tabs from the devel package headers
- make release number funky, so that people know it's a snapshot
- use auto* version
- group all BuildRequires together

* Fri Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file
- cleaned up header
- moved gnome/help to doc section

